#ifndef _UI_H
	#define _UI_H
	
	#include "../sie/Sie.h"

	unsigned char uiMasterReady;
	unsigned char uiSieLocked;


	void uiInit();
	void uiRegisterPmPacketHandler(void (*pm_callback)(siePacket packet));
	void uiSieUnlock();


	typedef enum
	{
		UI_KEY_BACK = 0x31,
		UI_KEY_OK = 0x32,
		UI_KEY_GP1 = 0x33,
		UI_KEY_GP2 = 0x34,
		UI_WHEEL_FORWARD = 0x35,
		UI_WHEEL_BACK = 0x36,
	} uiCommands;

#endif
